<?php

	session_start();
?>



<?php
	
	//var_dump($_SESSION['panier']);

	$chaine_panier = "";
	
	
	for($i=0;$i<count($_SESSION['panier']['id']);$i++)
	           { $ref = $_SESSION['panier']['designation'][$i];
	             $table = $_SESSION['panier']['table'][$i];
	             $qte = $_SESSION['panier']['qte'][$i];
	             $prix_ttc = $_SESSION['panier']['prix_ttc'][$i]*$qte;
	             
	             $total_ttc = $total_ttc + $prix_ttc;
	            
	             if($i==0)
	             { $chaine_panier = $ref .", " .$table .", " .$qte .", " .$prix_ttc ;
	             }	
	             else {
		              $chaine_panier = $chaine_panier .", " .$ref .", "  .$table .", "  .$qte .", " .$prix_ttc ;	
			  }
	}             
	
		echo $chaine_panier;
		echo $total_ttc;

	if(isset($_POST['titre']))
	  { 	echo '<body onLoad="alert(\'opération en cours\')">'; 

		$connexion = mysql_connect("localhost", "root", "");
		if(!$connexion)
        	  { die('Could not connect: ' . mysql_error());
	 	}
  
	     	mysql_select_db("boutique", $connexion);
		
		$email = $_SESSION['email'];	
	
		$date = date("d-m-Y"); 
		$heure = date("H:i");
		
		$titre = $_POST['titre'];
	
		$requete = " INSERT INTO `panier` (`id`, `email`, `panier`, `heure`, `date`, `titre`, `total_ttc`) VALUES
		('', '$email', '$chaine_panier', '$heure', '$date', '$titre', '$total_ttc') ";

		$result = mysql_query($requete);
		
		header('Location: dev_panier.php');
	

	  }	


?>


<TABLE width=100% border=0>

	<TR valign=top>
		<TD width=50%>
		<FONT face="Arial" size=2 class="size2">
		
		Pour sauvegarder votre panier, 
		cochez les articles que vous souhaitez conserver,donner un titre à votre sélection puis 
		cliquez sur le bouton Sauvegarder.
		
		</FONT>
		</TD>
	</TR>
	</TABLE>

	
	<FORM action="archiver_panier.php" method="post">

	

	<CENTER>
	<TABLE border=0 cellspacing=1 cellpadding=4>
	<TR valign=top>
		<TD><FONT class=size2>Titre de votre sauvegarde:</FONT></TD>
		<TD><INPUT type=text name=titre value="" size=40 maxlength=40></TD>
	</TR>
	<TR valign=top>

		<TD><FONT class=size2>Commentaires:</FONT></TD>
		<TD><INPUT type=text name=commentaires value="" size=40 maxlength=255></TD>
	</TR>
	</TABLE>
	
	<INPUT type="submit" name="action" value="Sauvegarder le panier">
	
	</center>
          <br>
          <center>
            <table width=95% border=0 cellspacing=1 cellpadding=4>
          </center>
        </form>
	
	
	
	